#
# Based on sample configuration file for ISC dhcpd for netbooting NewWorld macs
#
# Stipped to netboot guide
#   * remove dns server
#   * remove several hosts
#   * change hardware addresses
#
# !!! Possible that doesn't work at all. !!!
#

# option definitions common to all supported networks...
option netbios-node-type 8;       ### Node type = Hybrid ###
ddns-updates on;                  ### Dynamic DNS enabled ###
ddns-update-style interim;

default-lease-time 600;
max-lease-time 7200;

# Official DHCP server for the local network
authoritative;

subnet 192.168.1.0 netmask 255.255.255.0 {

  option routers 192.168.1.1;

  server-name "192.168.1.1";
  server-identifier 192.168.1.1; # your tftp server
  next-server 192.168.1.1; # your tftp server

  host mac {
#    filename "BootX";
    hardware ethernet 00:01:02:03:04:05;
    fixed-address 192.168.1.4;
  }

  host emac {
#    filename "BootX";
    hardware ethernet 0a:0b::0c:0d:0e;
    fixed-address 192.168.1.12;
  }

  host nfsserver {
    hardware ethernet 0f:0f:0f:0f:0f:0f;
    fixed-address 192.168.1.10;
  }

}

# Apple Intel
class "osx-intel" {
  match if substring (option vendor-class-identifier, 10, 4) = "i386";
  option vendor-encapsulated-options 01:01:02;
  option dhcp-parameter-request-list 1,3,17,43,60;
  option vendor-class-identifier "AAPLBSDPC";

  filename "/x86/BootX";
  option root-path "nfs:192.168.1.10:/exports/osx:intel/osx-intel.dmg"; # Keep as short as possible!
}

# Apple PowerPC
class "osx-ppc" {
  match if substring (option vendor-class-identifier, 10, 3) = "ppc";
  option vendor-encapsulated-options 01:01:02;
  option dhcp-parameter-request-list 1,3,17,43,60;
  option vendor-class-identifier "AAPLBSDPC";

  filename "ppc/BootX";
  option root-path "nfs:192.168.1.10:/exports/osx:ppc/osx-ppc.dmg"; # Keep as short as possible!
}
